When snapping with the node tool (within the same layer or to other layers) the fuchsia "x" symbol is 

not shown

2017-10-04 02:59 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25144

Description

Anyway snapping works. When using the tool to add new feature and doing snapping the "x" fuchsia symbol shows as expected.

This seems to not affect master. Not sure is a regression (tested on 2.18.13 and 2.14.19).

History

#1 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-02-23 01:04 PM - Alessandro  Cristofori

- File snapping_test.png added

On Version 3.4.4 tried Snapping on Vertex and Segment together, on Vertex alone and Segment alone.

The fuchsia notation appears when clicking on the vertex to snap and the snapping works in all three cases above (see example image).

When clicking on a segment to start snapping and try to snap to another vertex or segment, then the fuchsia symbol does not appear and snapping does

not happen. But I imagine this is the default behaviour as I believe it is not possible to trace an entire segment to the other with snapping.

Bug seems to be resolved but better check the above condition.

#3 - 2019-02-23 10:47 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

snapping_test.png 242 KB 2019-02-23 Alessandro  Cristofori
